import 'package:flutter/material.dart' hide DialogRoute;
import 'package:flutterx_application/flutterx_application.dart';

bool _isAuthorized = false;
final RouteAccessibility authorizedAccessibility = RouteAccessibility(
  isAccessible: (settings) => _isAuthorized,
  redirect: (request) => LoginActivity.route.settings(args: {'redirect': request}),
);

class LoginActivity extends StatefulWidget {
  static final ActivityRoute<void> route =
      ActivityRoute.builder(LoginActivity, builder: (context, args) => LoginActivity._(redirect: args['redirect']));

  final RouteSettings? redirect;

  const LoginActivity._({Key? key, this.redirect}) : super(key: key);

  @override
  State<LoginActivity> createState() => _LoginActivityState();
}

class _LoginActivityState extends State<LoginActivity> {
  @override
  Widget build(BuildContext context) => Scaffold(
      appBar: AppBar(title: const Text('Login')),
      body: Center(
        child: ElevatedButton(onPressed: _authorize, child: const Text('AUTHORIZE')),
      ));

  void _authorize() {
    _isAuthorized = true;
    AppRoute.redirect(context, widget.redirect);
  }
}
