import 'package:example/ui/activity_login.dart';
import 'package:flutter/material.dart' hide DialogRoute;
import 'package:flutterx_application/flutterx_application.dart';

class PrivateActivity extends StatefulWidget {
  static final ActivityRoute<void> route = ActivityRoute.builder(PrivateActivity,
      accessibility: authorizedAccessibility, builder: (context, args) => PrivateActivity._(data: args['data']));

  final String data;

  const PrivateActivity._({Key? key, required this.data}) : super(key: key);

  static Future<void> open(BuildContext context, {required String data}) => route.open(context, args: {'data': data});

  @override
  State<PrivateActivity> createState() => _PrivateActivityState();
}

class _PrivateActivityState extends State<PrivateActivity> {
  @override
  Widget build(BuildContext context) => Scaffold(
      appBar: AppBar(title: const Text('Private content')),
      body: Center(child: Text('Only authorized users can see this page!\ndata: ${widget.data}')));
}
