import 'package:example/localization/labels.dart';
import 'package:flutter/material.dart';

class DataInsertWidget extends StatelessWidget {
  final TextEditingController controller;

  const DataInsertWidget({Key? key, required this.controller}) : super(key: key);

  @override
  Widget build(BuildContext context) => Padding(
      padding: const EdgeInsets.all(32),
      child: TextFormField(
          controller: controller,
          textInputAction: TextInputAction.newline,
          keyboardType: TextInputType.multiline,
          textCapitalization: TextCapitalization.sentences,
          maxLines: 4,
          maxLength: 1000,
          decoration: InputDecoration(
            hintText: labels.insertData,
            border: const OutlineInputBorder(),
            suffixIcon: IconButton(onPressed: controller.clear, icon: const Icon(Icons.clear)),
          )));
}
