import 'package:flutter/material.dart';

/// Simple loading spinner
///
/// [size] defaults to 32
/// [valueColor] if null, defaults to [ProgressIndicator.valueColor]
/// [margin] of the widget
class SimpleLoader extends StatelessWidget {
  final double size;
  final Animation<Color>? valueColor;
  final EdgeInsetsGeometry? margin;

  const SimpleLoader({Key? key, this.size = 32, this.valueColor, this.margin}) : super(key: key);

  @override
  Widget build(BuildContext context) => Center(
      child: Container(
          height: size,
          width: size,
          margin: margin,
          padding: EdgeInsets.all(size / 20),
          child: CircularProgressIndicator(strokeWidth: size / 10, valueColor: valueColor)));
}
