import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter/widgets.dart';

/// Apply [style] to both annotated region and [AppBarTheme]
class AnnotatedSystemUIStyle extends StatelessWidget {
  final SystemUiOverlayStyle style;
  final Widget child;

  const AnnotatedSystemUIStyle({Key? key, required this.style, required this.child}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final theme = Theme.of(context);
    return Theme(
        data: theme.copyWith(
            appBarTheme: theme.appBarTheme.copyWith(backwardsCompatibility: false, systemOverlayStyle: style)),
        child: AnnotatedRegion<SystemUiOverlayStyle>(value: style, child: child));
  }
}
