import 'package:flutter/widgets.dart';

/// [ClampingScrollPhysics] but without overscroll
class NoOverScrollPhysics extends ClampingScrollPhysics {
  const NoOverScrollPhysics({ScrollPhysics? parent}) : super(parent: parent);

  @override
  NoOverScrollPhysics applyTo(ScrollPhysics? ancestor) => NoOverScrollPhysics(parent: buildParent(ancestor));

  @override
  double adjustPositionForNewDimensions(
          {required ScrollMetrics oldPosition,
          required ScrollMetrics newPosition,
          required bool isScrolling,
          required double velocity}) =>
      newPosition.outOfRange
          ? oldPosition.pixels
          : super.adjustPositionForNewDimensions(
              oldPosition: oldPosition, newPosition: newPosition, isScrolling: isScrolling, velocity: velocity);
}
